package com.zipcode.lab.learnerLab;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Component
public class Alumni {

    @Autowired
    private Students previousStudents;

    @Autowired
    private Instructors instructors;

    @PostConstruct
    public void executeBootcamp(){
        int numberOfInstructors = instructors.size();
        int numberOfStudents = previousStudents.size();
        double numberOfHoursToTeachEachStudent = 1200;
        double numberOfHoursToTeach = numberOfHoursToTeachEachStudent * numberOfStudents;
        double numberOfHoursPerInstructor = numberOfHoursToTeach / numberOfInstructors;
        for(Instructor i : instructors){
            i.lecture(previousStudents, numberOfHoursPerInstructor);
        }


    }
}
