package com.zipcode.lab.learnerLab;

public class Instructor extends Person implements Teacher {


    public Instructor(long id, String name) {
        super(id, name);
    }

    @Override
    public void teach(Learner learner, double numberOfHours) {
        learner.learn(numberOfHours);
    }

    @Override
    public void lecture(Iterable<? extends Learner> learners, double numberOfHours) {
        int learnersLength = 0;
        for (Learner l : learners){
            learnersLength++;
        }

        double numberOfHoursPerLearner = numberOfHours / learnersLength;
        for (Learner learner : learners){
            learner.learn(numberOfHoursPerLearner);

        }

    }
}
