package com.zipcode.lab.learnerLab;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class TestInstructorsConfig {

        private Instructors tcUSA;
        private Instructors tcUK;
        private Instructors zcw;

        @Autowired
        private InstructorsConfig instructorsConfig;

        @Before
        public void setUp(){
            this.tcUSA = instructorsConfig.tcUsaInstructors();
            this.tcUK= instructorsConfig.tcUkInstructors();
            this.zcw = instructorsConfig.zcwInstructors();
        }

        @Test
        public void tcUsaInstructorsTest() {
            Assert.assertEquals(tcUSA,instructorsConfig.tcUsaInstructors());

        }

        @Test
        public void tcUKInstructorsTest(){
            Assert.assertEquals(tcUK, instructorsConfig.tcUkInstructors());
        }

        @Test
        public void zcwInstructorsTest(){
            Assert.assertEquals(zcw, instructorsConfig.zcwInstructors());
        }


}
