package com.zipcode.lab.learnerLab;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.DependsOn;

@Configuration
public class ClassroomConfig {

    @Bean(name = "currentCohort")
    @DependsOn({"instructors", "currentStudents"})
    public Classroom currentCohort(Instructors instructors, Students currentStudents)
    { return new Classroom(instructors, currentStudents);}

    @Bean(name = "previousCohort")
    @DependsOn({"instructors", "previousStudents"})
    public Classroom previousCohort(Instructors instructors, Students previousStudents)
    { return new Classroom(instructors, previousStudents);}

}
