package com.zipcode.lab.learnerLab;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;


@SpringBootTest
@RunWith(SpringRunner.class)
public class TestClassroomConfig {

    private Classroom cc;
    private Classroom pc;
    private Instructors instructors;
    private Students currentStudents;
    private Students previousStudents;


    @Autowired
    private ClassroomConfig classroomConfig;


    @Before
    public void setUp(){
        this.cc = classroomConfig.currentCohort(instructors, currentStudents);
        this.pc= classroomConfig.previousCohort(instructors, previousStudents);
    }

    @Test
    public void currentCohortTest() {
        Assert.assertEquals(cc,classroomConfig.currentCohort(instructors, currentStudents));

    }

    @Test
    public void previousCohortTest(){
        Assert.assertEquals(pc,classroomConfig.previousCohort(instructors, previousStudents) );
    }

}
