package com.zipcode.lab.learnerLab;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;


@SpringBootTest
@RunWith(SpringRunner.class)
public class TestStudentConfig {

    private Students cs;
    private Students ps;

    @Autowired
    private StudentConfig studentConfig;

    @Before
    public void setUp(){
        this.cs = studentConfig.currentStudents();
        this.ps = studentConfig.previousStudents();
    }

    @Test
    public void currentStudentTest() {
        Assert.assertEquals(cs, studentConfig.currentStudents());

    }

    @Test
    public void previousStudentTest(){
        Assert.assertEquals(ps, studentConfig.previousStudents());
    }

}
